/*
 * Class ROUTINE [G#1, G#2]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1554 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1554 [] = {0xFF01,1551,1553,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1554 [] = {0xFF01,1553,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1554 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1554 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1554 [] = {0xFF01,1553,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1554 [] = {0xFF01,1553,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1554 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1554 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1554 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1554 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1554 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1554 [] = {1553,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1554 [] = {0xFF01,1553,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1554 [] = {0xFF01,911,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1554 [] = {1567,0xFF01,922,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1554 [] = {0xFF01,1599,0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1554 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1554 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1554 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1554 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1554 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1554 [] = {0xFF01,1547,0,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1554 [] = {0xFFF9,0,840,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1554 [] = {0xFFF9,0,840,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1554 [] = {0xFF01,1551,0,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1554 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1554 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1554 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1554 [] = {0xFF01,2096,869,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1554 [] = {0xFF01,1664,921,869,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1554 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1554 [] = {0xFF01,0xFFF9,0,840,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1554 [] = {0xFF01,1551,0,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1554 [] = {0xFF02,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1554 [] = {0xFF01,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_36_1554 [] = {0xFFF9,0,840,0xFFFF};
static const EIF_TYPE_INDEX egt_37_1554 [] = {1669,869,0xFFFF};
static const EIF_TYPE_INDEX egt_38_1554 [] = {1669,869,0xFFFF};
static const EIF_TYPE_INDEX egt_39_1554 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_40_1554 [] = {0xFF02,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_41_1554 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_42_1554 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_1554[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1554), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1554), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22182, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1554), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22189, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1554), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1554), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1554), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1554), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1554), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1554), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1554), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1554), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1554), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1554), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1554), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7248, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7249, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1554), 7250, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7251, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1554), 7252, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1554), 7253, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 7254, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 7255, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1554), 7256, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1554), 7257, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1554), 7246, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1554), 7247, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22177, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9868, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9869, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9871, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9872, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9873, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9874, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9889, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9865, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9866, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9867, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9893, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9895, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1554), 9896, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1554), 9897, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1554), 9898, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1554), 9899, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1554), 9900, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9901, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9902, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9903, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9904, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9905, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9906, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1554), 9907, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1554), 9908, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9910, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9911, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9912, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0733 /*921*/), 9913, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1554), 9914, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9916, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9917, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9918, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1554), 9920, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1554), 9921, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1554), 9922, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_1554), 9890, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_1554), 9891, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9892, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22174, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_1554), 22175, 0},
	{EIF_NON_GENERIC(0x01 /*0*/), 22176, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22178, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22179, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1554), 22180, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22181, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22183, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22184, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22185, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22186, 20},
	{EIF_GENERIC(NULL), 22187, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22188, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22190, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22191, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_1554), 22192, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22193, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22194, 32},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22195, 36},
	{EIF_GENERIC(egt_37_1554), 22196, 8},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22197, 40},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22198, 24},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22199, 17},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22200, 28},
	{EIF_GENERIC(NULL), 22201, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22202, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22203, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_1554), 22204, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22205, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22206, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_1554), 22207, 0xFFFFFFFF},
	{EIF_GENERIC(egt_40_1554), 22208, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22210, 0xFFFFFFFF},
	{EIF_GENERIC(egt_41_1554), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_42_1554), -1, 0xFFFFFFFF},
};
void Init1554(void)
{
	IDSC(desc_1554, 0, 1553);
	IDSC(desc_1554 + 1, 1, 1553);
	IDSC(desc_1554 + 32, 594, 1553);
	IDSC(desc_1554 + 44, 700, 1553);
	IDSC(desc_1554 + 46, 1232, 1553);
	IDSC(desc_1554 + 71, 1306, 1553);
	IDSC(desc_1554 + 104, 6, 1553);
}


#ifdef __cplusplus
}
#endif
